# Backend Technical Write Up

## Setup

- Install `pdm`
- Install dependencies with `pdm sync`
- Run development backend with `pdm run dev`
- Run tests with `pdm run test`

### Setup for Developmentk

- run `eval $(pdm venv activate in-project)` to activate the virtual env.

## Structure

- Use FastAPI's `router` to organize different API routes
- Separate folder for PostgreSQL migrations: Might need a better migration tool. Right now, `alembic` only works with SQLalchemy.
- Use Pydantic data validation always

## TODO list
- [ ] Setup Docker image and k8s for the API: 3 containers: API, Redis and PostgreSQL.
